Ruby 2.7.0p0(2019-12-25revision647ee6f091eafcce70ffb75ddf7e121e192ab217)

Data Fields
RString Struct Reference

`#include <ruby.h>`

## Data Fields
struct RBasic | basic
union {
struct {
long RString::len
char * RString::ptr
union {
long RString::capa
VALUE RString::shared
} RString::aux
} RString::heap
char RString::ary [RSTRING_EMBED_LEN_MAX+1]
} | as

## Detailed Description

Definition at line 988 of file ruby.h.

The documentation for this struct was generated from the following file:

- include/ruby/ruby.h